# class Mouse

#### package openfl.ui

Available on all platforms

The methods of the Mouse class are used to hide and show the mouse pointer, or to set the pointer to a specific style. The Mouse class is a top-level class whose properties and methods you can access without using a constructor. The pointer is visible by default, but you can hide it and implement a custom pointer.

### Static variables

###

`staticcursor:MouseCursor`

###

`staticread onlysupportsCursor:Bool`

###

`staticread onlysupportsNativeCursor:Bool`

### Static methods

###

`statichide ():Void`

Hides the pointer. The pointer is visible by default.

Note: You need to call `Mouse.hide()` only once, regardless of the number of previous calls to `Mouse.show()`.

###

`staticshow ():Void`

Displays the pointer. The pointer is visible by default.

Note: You need to call `Mouse.show()` only once, regardless of the number of previous calls to `Mouse.hide()`.